summarylogtreecommitdiffstats
path: root/gog-starbound
diff options
context:
space:
mode:
authorruniq2017-01-29 13:08:01 +0100
committerruniq2017-01-29 13:08:01 +0100
commit4d852ff9d79ad5f4492ac323c4cbf058d60780ee (patch)
treee00969f6e2c1ccf53adcc2a25cf5421903c83c8a /gog-starbound
downloadaur-gog-starbound.tar.gz
Initial commit
Diffstat (limited to 'gog-starbound')
-rw-r--r--gog-starbound13
1 files changed, 13 insertions, 0 deletions
diff --git a/gog-starbound b/gog-starbound
new file mode 100644
index 000000000000..b88df1fddc72
--- /dev/null
+++ b/gog-starbound
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+run="/opt/gog-starbound/start.sh"
+# The launcher fails unless in its dir.
+#cd "$(dirname "$run")" || exit 1
+
+if which firejail >/dev/null 2>&1 && [ -z "$FIREJAIL_IGNORE" ]; then
+ echo "Firejail detected. Enforcing a sandbox"
+ echo "To bypass Firejail enforcement, run FIREJAIL_IGNORE=1 $run."
+ firejail --caps.drop=all "$run"
+else
+ "$run"
+fi